pipeline {
    agent any
    tools {
        jdk 'java'
        git 'Default'
        maven 'maven-version3.8.4'
    }
    stages {
        stage('---clean---') {
            steps {
                sh "mvn clean"
            }
        }
        stage('--test--') {
            steps {
                sh "mvn test"
            }
        }
        stage('--package--') {
            steps {
                sh "mvn package"
                sh'jf c add --url http://jfrog-test.com --user admin --password Password@123'
                sh 'jf rt u --user admin --password Password@123 /var/jenkins_home/workspace/test-MB_pipeline_master/target/maven-archetype-quickstart-1.4.jar maven-test  --url http://jfrog-test.com/artifactory/maven-test/' 
                }
            }
        stage('--Zip Artifacts--') {
            steps {
                sh ''' 
                cd /var/jenkins_home/workspace/test-MB_pipeline_master/target/
                zip -r maven-archetype-quickstart-1.4.jar.zip ./maven-archetype-quickstart-1.4.jar 
                '''
                sh 'ls'


               
                
            }
        }
        stage('--upload--') {
            steps {
         rtUpload (
         serverId: "jfrog-local",
          spec:"""{
             "files":  [
               {
                "pattern": "*.zip",
                "target": "maven-test/"
        }
     ]
    }"""
  )
 }
        }
}
    
}
